export default abstract class ApplePayBase {
    merchantIdentifier: string;
    constructor(merchantIdentifier: string);
    abstract isEnabled(): boolean;
    abstract canCallSetup(): boolean;
    abstract hasActiveCard(): Promise<boolean>;
    abstract setupApplePay(): Promise<boolean>;
}
